
Figure - Bug #117891
【IOVDEV-27259】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【小窗】TapTap正常打开之后，
切换小窗模式时需要点击两次才可以进入
2023-05-11 19:34 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0076.x101��副屏版本：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230511 11：29

【前提条件】：副屏上电，网络连接正常

【操作步骤】

1.打开TapTapAPP

2.屏幕底部上滑切换到主界面

3.长按TapTapAPP

4.点击小窗按钮

【实际结果】

1.无法进入小窗模式，需要重复一次3-4步骤才可以

【期望结果】

1.可以直接进入小窗模式

【备注】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0095.c103

Related issues:

Related to Figure - Bug # 117902: 【AF】【EVT3】【小窗模式】taptap，... CLOSED 2023-05-12

History

#1 - 2023-05-11 19:47 - CD FW-鲁凯峰

TapTap无法进入小窗,从日志看TapTap挂了导致的，在进入小窗模式的时候AndroidX包里面的ConstraintSet布局文件会检查应用使用ConstraintSet时是否定

义了id,由于TapTap没有定义ConstraintLayout下子view的id,所以挂了

需要TapTap重新来适配小窗模式,系统侧无法处理

05-06 02:27:46.380 12420 12420 D AndroidRuntime: Shutting down VM
05-06 02:27:46.380 12420 12420 E AndroidRuntime: FATAL EXCEPTION: main

05-06 02:27:46.380 12420 12420 E AndroidRuntime: Process: com.taptap, PID: 12420

05-06 02:27:46.380 12420 12420 E AndroidRuntime: java.lang.RuntimeException: All children of ConstraintLayout must have ids to use ConstraintSet

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at androidx.constraintlayout.widget.ConstraintSet.readFallback(ConstraintSet.java:620)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionScene.readConstraintChain(MotionScene.java:1844)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionScene.readFallback(MotionScene.java:1797)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionLayout.onAttachedToWindow(MotionLayout.java:4154)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.View.dispatchAttachedToWindow(View.java:20757)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3490)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.addViewInner(ViewGroup.java:5290)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.addView(ViewGroup.java:5076)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.widget.DecorCaptionView.addView(DecorCaptionView.java:348)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.view.ViewGroup.addView(ViewGroup.java:5048)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.policy.DecorView.updateDecorCaptionStatus(DecorView.java:2270)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.policy.DecorView.onConfigurationChanged(DecorView.java:2217)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.onMultiWindowModeChanged(PhoneWindow.java:770)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.Activity.dispatchMultiWindowModeChanged(Activity.java:8377)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread.handleWindowingModeChangeIfNeeded(ActivityThread.java:5981)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread.performActivityConfigurationChanged(ActivityThread.java:5839)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread.performConfigurationChangedForActivity(ActivityThread.java:5816)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread.handleActivityConfigurationChanged(ActivityThread.java:6105)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at

android.app.servertransaction.ActivityConfigurationChangeItem.execute(ActivityConfigurationChangeItem.java:55)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-06 02:27:46.380 12420 12420 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#2 - 2023-05-11 19:56 - CD FW-鲁凯峰

- Category changed from 窗口定制 to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

2025-07-04 2/3



- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

Hi 诗雨

这个是因为三方应用没有适配小窗，导致崩溃，无法在系统侧修复

需要三方应用适配，具体日志信息可以参考上面的更新

#3 - 2023-05-17 15:51 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-05-17 15:51 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-17 15:51 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

video(45).mp4 7.23 MB 2023-05-11 CDTS_Test 吴诗雨
